```wmd-options
language = es
title_i18n = wmarkdown_title_faq
title_text = F.A.Q. - WMarkDown
```

<!-- [[wmd]] -->

## F.A.Q.

En este apartado se irán haciendo preguntas y respuestas acorde a motivos sobre las decisiones que se tomaron para llevar a cabo dicho proyecto.

> [!?] **¿Por qué utilizas el Syntax Highlighter para MarkDown para representar en código el propio lenguaje de marcas del WMarkDown?** Pues al no existir oficialmente el propio lenguaje WMarkDown, éste no tiene asignado un lenguaje oficial y menos, un desarrollo ajeno a este proyecto que pueda ayudar y complementar dicho proyecto de momento. Al ser el lenguaje más parecido, éste es el que se quedará inicialmente.

> [!?] **¿Por qué usas guiones bajos para marcar fragmentos de texto subrayados pues es una de las marcas de MarkDown para representar la negrilla y la cursiva?** Los guiones bajos son una alternativa en MarkDown para representar ambos formatos, pero el principal es el uso de los asteriscos. Al no existir una manera eficiente de representar textos tachados o subrayados se decidió cambiar estas marcas para los fragmentos de texto subrayados.

> [!?] **¿Cómo distingue WMarkDown de un título una lista ordenada numerada mediante la marca almuadilla o "#"?** Pues básicamente los títulos requieren de al menos dos saltos de línea por debajo de ellos, mientras que en una lista, en cuanto halla más de un elemento tras de él se sabe que es una lista ordenada numerada.

> [!?] **¿Puede dar problemas el WMarkDown?** Como toda tecnología digital compleja, ésta puede responder de forma inesperada no contemplada por los desarrolladores de la misma, además, actualmente sólo hay un único desarrollador, por lo que posiblemente dé resultados inesperados pues sólo se contempla el propósito de acción de dicho desarrollador. A medida que se haga uso de éste se irán reportando problemas y se irán haciendo las correcciones pertinentes según el tiempo que se le pueda dedicar pues este proyecto es un proyecto Free Open Source que mientras no genere un dinero que permita mantenimiento sobre otros proyectos, éste irá limitado a dicho contexto, en conjunto con el número de desarrolladores que puedan ser partícipes.

> [!?] **¿Por qué se decidió poner la licencia general de Creative Commons para Atribución, No Comercial y que se permite el Compartir o *CC-BY-NC-SA*?** Pues por el hecho de que se quiere dejar el proyecto para uso libre en Internet para cualquiera que quiera implementarlo dentro de su proyecto, sin embargo, licencias como el MIT o GPL no obliga a reconocer la autoría, cosa que creo que es de vital importancia para ayudar a los autores originales tanto a su visibilización como mostrar su trabajo y de una forma indirecta, favorecer su currículum profesional, de ahí que tenga el **BY de Atribución o By en inlgés**; tampoco nos interesa que dicho proyecto se venda a terceros cuando éste es totalmente gratuito, sin embargo, no nos importa que este proyecto sea usado en un proyecto comercial siempre que la fuente de ingresos no sea el servicio que se ofrece con este proyecto, de ahí que sea **NC de No Comercial**; y finalmente, como dijimos hasta ahora, que éste pueda ser compartido, manipulado y trabajado libremente con las dos condiciones anteriores, de ahí que sea **SA de Compartir o Shared Alike**. Un ejemplo de uso comercial puede ser la creación de un Blog o Foro donde la gente escriba a partir de WMarkDown, donde el producto no es el propio WMarkDown, sino el servicio del Blog o foro.

> [!?] **¿Por qué se seleccionó el nombre WMarkDown pese a que el logo sea una W con la flecha alzada pudiendo encajar mejor __WMarkUp__?** El problema es que la base principal del lenguaje se basa plenamente en MarkDown, donde la lógica me dice que Down viene a simplificar la forma de escribir en un formato de estilos mediante marcas de texto. Poner Up sería ir a la contra, y creemos desde WMarkDown, que no es éste el propósito.

<!-- [[wmd]] -->