```wmd-options
language = es
title_i18n = wmarkdown_title_includes
title_text = Inclusiones - WMarkDown
```

<!-- [[wmd]] -->

### Inclusiones

Una de las características principales de WMarkDown es la capacidad de éste para poder integrar dentro de sí mismo otros recursos externos, por ejemplo, otro archivo HTML, MarkDown o WMarkDown, permitiendo así poder gestionar una documentación ordenada a partir de directorios y ficheros y a la par, poder crear OnePages donde visualizar dicho contenido. Para poder llevar a cabo dicha tarea podemos seguir el siguiente ejemplo:

```wmd-examples

## Ejemplo inclusión

Esto es un párrafo de presentación del título donde nos encontramos.

[[include otro.fichero.w.md]]

Ahora podemos continuar con nuestro fichero habiendo incluído el contenido del fichero "otro.fichero.w.md".

```

De esta forma podemos integrar dentro de nuestro documento diferentes ficheros con el fin de tenerlos ordenados para su trabajo así como generar documentación OnePage para facilitar la accesibilidad a los usuarios a ésta.

Las inclusiones crean secciones o bloques donde se meterá todo su contenido a modo de capa, y las inclusiones de primer nivel tendrán un link que permita ir al documento en cuestión. Con esto se entiende que se permite el anidamiento de inclusiones de archivos.

> [!!] Es importante destacar que se pueden producir **bucles infinitos** cuando un fichero llama a otro el cual llama al primero de forma directa o indirecta. Es muy importante controlar este proceso de forma adecuada y correcta.

> [!!] También es importante destacar que los **títulos anidados** tendrán su valor de origen pudiendo dar lugar a problemas si no se gestionan de una forma adecuada. 

> [!!] Por otro lado, decir que los Links que genera para ir a la página o documento a la que hace referencia sólo se mostrará en las de primer nivel porque dichos **Links** son **dinámicos a su punto de origen** donde si el origen es un elemento incluído anidadamente éste podría alojar un Path erróneo.

<!-- [[wmd]] -->