[[post_data {
    "author" : "KyMAN",
    "since" : 20210516,
    "version" : 20210516
}]]
# Formatos de fuente

Los formato de la fuente puede ser un tema muy extenso, sin embargo, por lo general, tienen una serie de patrones en uso, y pocos elementos de formatos quedan expuestos a no tener un patrón concreto, y de éstos últimos, por lo general solo se hace uso de dos: la negrilla y la cursiva. Esto da pie a considerar sólo el formato rápido por marcas de texto de éstos dos, el resto han de ser aplicados o por CSS o por HTML. Para poder aplicar ambos, podemos basarnos tanto en MediaWiki como en MarkDown, siendo de la siguiente forma:

<table style="width:100%;">
    <thead>
        <tr>
            <th style="width:10%;">Objetivo</th>
            <th style="width:30%;">MediaWiki</th>
            <th style="width:30%;">MarkDown</th>
            <th style="width:30%;">HTML</th>
        </tr>
    </thead>
    <tbody>
        <tr>
            <td><b>Negrilla</b></td>
            <td>

```md
'''Negrilla'''
"""Negrilla"""
```

            </td>
            <td>

```md
**Negrilla**
__Negrilla__
```

            </td>
            <td>

```html
<b>Negrilla</b>
```

            </td>
        </tr>
        <tr>
            <td><i>Cursiva</i></td>
            <td>

```md
''Cursiva''
""Cursiva""
```

            </td>
            <td>

```md
*Cursiva*
_Cursiva_
```

            </td>
            <td>

```html
<i>Cursiva</i>
```

            </td>
        </tr>
        <tr>
            <td><b><i>Negrilla y cursiva</i></b></td>
            <td>

```md
'''''Negrilla y cursiva'''''
"""""Negrilla y cursiva"""""
```

            </td>
            <td>

```md
***Negrilla y cursiva***
___Negrilla y cursiva___
```

            </td>
            <td>

```html
<b><i>Negrilla y cursiva</i></b>
```

            </td>
        </tr>
    </tbody>
</table>

[[html_data {
    "title" : "WMarkDown - Formatos de fuente",
    "url" : "https://wmarkdown.k3y.pw/es/doc/modules/font_formats.html",
    "author" : "Tarsier, KyMAN",
    "since" : 20210516,
    "version" : 20210516,
    "key_words" : "Whalers,MarkDown,MediaWiki,WMarkDown,módulo,fuente,formato,texto",
    "description" : "Módulo de formatos de fuente.",
    "project" : "WMarkDown",
    "logo" : "https://wmarkdown.k3y.pw/images/wmarkdown.png",
    "language" : "es"
}]]
