```wmd-options
language = es
title_i18n = wmarkdown_title_checks
title_text = Ticks, Checks y Radios - WMarkDown
```

<!-- [[wmd]] -->

### Ticks, Checks y Radios

Los Ticks, Checkboxes y los Radio Buttons son elementos bastante básicos con los que trabajar en un apartado documental pues pueden ser indicativos de selección o marcas que determinan elementos seleccionados. A continuación se deja una tabla con las marcas y valor que representan.

[[!<style data-type="text/css;charset=utf-8" data-language="CSS1.2" data-rel="stylesheet" charset="utf-8">
    .wmd-checks-viewer td:first-child,
    .wmd-checks-viewer td:nth-child(2){
        font-family : "Roboto Mono", monospace;
    }
</style>]]

[| class="wmd-checks-viewer"
|=| Marca |
|= Upper | Lower | Valor
|  \[ ]  | \[ ]  | [ ] 
|  \[X]  | \[x]  | [x] 
|  \[-]  | \[-]  | [-] 
|  \( )  | \( )  | ( ) 
|  \(X)  | \(x)  | (x) 
|  \(-)  | \(-)  | (-) 
|  \{V}  | \{v}  | {v} 
|  \{W}  | \{w}  | {w} 
|  \{X}  | \{x}  | {x} 
|]

> [!#] Estas marcas no están condicionadas entre sí como puede ser cuando se trabajan en formularios los Radio Buttons, lo que significa que son de libre uso.

> [!!] Estas marcas ignoran si son en mayúsculas o minúsculas, es decir, que funcionarán independientemente de cómo se escriban.

<!-- [[wmd]] -->