```wmd-options
language = es
title_i18n = wmarkdown_title_exclude
title_text = Módulo de exclusión - WMarkDown
```

<!-- [[wmd]] -->

### Módulo de exclusión

El módulo de exclusión está diseñado para ignorar fragmentos de texto para que éstos no se representen con marcas. Esto es muy importante para poder representar bloques de HTML, ejemplos o simplemente, exponer fragmentos de texto con caracteres que pertenecen a las marcas. Hay dos formas de excluir estos elementos.

```wmd-examples

Exclusión completa de un texto.

[[!Esto es un bloque de texto excluído, y esto [x] no es un Checkbox seleccioando. Tampoco funcionará el diccionario.]]

Exclusión de caracteres.

Esto es un texto no excluído y esto [x] sí es un Checkbox seleccionado, pero \[x] esto ya no lo es. Aquí sí funcionaría el diccionario.

```

> [!!] Es importante mencionar que los Slashes escapan sólo una serie de caracteres pues en la anterior versión escapaban todo tipo de caracteres y podía llegar a complicar ciertas cosas. Actualmente está la filosofía de que si hay algo que requiere de escaparse constantemente implica que está mal, por lo que la limitación de caracteres escapados ha de ser mínima.

<!-- [[wmd]] -->
