```wmd-options
language = es
title_i18n = wmarkdown_title_quotes
title_text = Quotes y comentarios - WMarkDown
```

<!-- [[wmd]] -->

### Quotes o comentarios

Los Quotes o comentarios vienen siendo fragmentos de texto que se usan generalmente para matizar cosas dentro de lo que se quiera decir, remarcar información o simplemente añadir notas adicionales. 
Para referenciar el bloque Quote hemos de encabezar el párrafo mediante el caracter "&gt;", lo que determinará que es un comentario o fragmento de texto explicativo.

```wmd-examples
Esto es un párrafo normal.

> Esto es un Quote o comentario.

Esto es otro párrafo normal.

> Esto es otro Quote.
Esto pertenece al mismo Quote.

> Esto es otro Quote distinto.

```

Los Quotes tienen 3 modos: los comentarios comunes añadidos o notas; lo mismo pero con iconificación de contenido para advertencias, preguntas, respuestas, etc., el cual puede ser personalizado a la Web en cuestión; y como comentario de usuarios específicos, que requiere de registrar a los usuarios en el propio gestor WMarkDown.

```wmd-examples
> Esto es un comentario común o nota.

> [!comment] Esto es lo mismo que lo anterior pero iconificado.

> [!#] Esto es exactamente lo mismo que lo anterior pero simplificado.

> [!# Comentario] Esto es lo mismo que lo anterior pero aclarando que es un comentario. El resultado se verá visualmente.

> [!!] Esto es una advertencia o nota importante.

> [!Q] Esto es un comentario directo.

> [!?] Esto es para realizar preguntas dentro del texto.

> [!>] Esto es para responder preguntas.

> [!icono_personalizado Personalizado] Esto es un Quote con icono personalizado y con texto que advierte de que es un contenido personalizado.

> [!@Usuario] Esto es un Quote a modo de comentario específico a una persona registrada.

```

Todos los los elementos pueden ser personalizables y nombrables.

<!-- [[wmd]] -->