```wmd-options
language = es
title_i18n = wmarkdown_title_text_formats
title_text = Formatos de texto - WMarkDown
```

<!-- [[wmd]] -->

### Formatos de texto

Los formatos de texto en WMarkDown se pueden generar de una forma muy básica a partir de marcas. Los más habituales son los que se representan en el siguiente ejemplo:

```wmd-examples

- *Esto es un texto en cursiva.*
- **Esto es un texto en negrilla.**
- ~~Esto es un texto tachado.~~
- __Esto es un texto subrayado.__
- ``Esto es un bloque de código o texto monospaciado como tal.``
- ***Esto es un texto negrilla y cursiva.***
- ~~*Esto es un texto tachado y en cursiva.*~~
- ~~**Esto es un texto tachado y en negrilla.**~~
- ~~***Esto es un texto tachado, en negrilla y cursva.***~~
- __*Esto es un texto subrayado y en cursiva.*__
- __**Esto es un texto subrayado y en negrilla.**__
- __***Esto es un texto subrayado, en negrilla y cursva.***__
- __***Esto es un texto subrayado, en negrilla y cursiva.***__
- __~~*Esto es un texto subrayado, tachado y en cursiva.*~~__
- __~~**Esto es un texto subrayado, tachado y en negrilla.**~~__
- __~~***Esto es un texto subrayado, tachado, en negrilla y cursva.***~~__

```

> [!!] Todas estas marcas se pueden entremezclar, pero es muy importante tener encuenta que las aperturas y los cierres de estos elementos han de corresponder de dentro a fuera siempre. Si se abre, por ejemplo, una cursiva y luego una negrilla, y se cierra primero negrilla y luego cursiva, el resultado no será el esperado, siendo ejecutado sólo el primero de la lista y pudiendo ser afectado tras éste en el resto del documento.

Como resumen o conclusión final tenemos los siguientes formatos:

- **&#42;**: Cursiva mediante un único asterisco.
- **&#42;&#42;**: Negrilla mediante doble asterisco.
- **&tilde;&tilde;**: Texto tachado mediante doble virgulilla.
- **&#95;&#95;**: Texto subrayado mediante doble guión bajo.
- **&#96;&#96;**: Texto monoespaciado o para código mediante doble comilla o acento agudo.

<!-- [[wmd]] -->